import { Controller, Get, Post } from '@nestjs/common';
import { DashboardService } from '../../services/dashboard.service';

@Controller('admin/dashboards')
export class AdminDashboardController {
  constructor(private readonly dashboardService: DashboardService) {}

  @Post('reset-tool')
  async resetTool() {
    return await this.dashboardService.resetTool();
  }

  @Post('shutdown-tool')
  async shutdownTool() {
    return await this.dashboardService.shutdownTool();
  }

  @Get('status-tool')
  async statusTool() {
    return await this.dashboardService.statusTool();
  }
}
